net.minecraft.util

## Enum EnumChatFormatting

- java.lang.Object
- - java.lang.Enum<EnumChatFormatting>
  - - net.minecraft.util.EnumChatFormatting

- All Implemented Interfaces:
    Serializable, Comparable<EnumChatFormatting>

      public enum EnumChatFormatting
      extends Enum<EnumChatFormatting>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AQUA`
    `BLACK`
    `BLUE`
    `BOLD`
    `DARK_AQUA`
    `DARK_BLUE`
    `DARK_GRAY`
    `DARK_GREEN`
    `DARK_PURPLE`
    `DARK_RED`
    `GOLD`
    `GRAY`
    `GREEN`
    `ITALIC`
    `LIGHT_PURPLE`
    `OBFUSCATED`
    `RED`
    `RESET`
    `STRIKETHROUGH`
    `UNDERLINE`
    `WHITE`
    `YELLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `func_110646_a(String par0Str)`
    `static Collection` | `func_96296_a(boolean par0, boolean par1)`
    `String` | `func_96297_d()`
    `char` | `func_96298_a()`
    `static EnumChatFormatting` | `func_96300_b(String par0Str)`
    `boolean` | `func_96301_b()`
    `boolean` | `isColor()` Checks if typo is a color.
    `String` | `toString()`
    `static EnumChatFormatting` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EnumChatFormatting[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLACK

          public static final EnumChatFormatting BLACK

    - #### DARK_BLUE

          public static final EnumChatFormatting DARK_BLUE

    - #### DARK_GREEN

          public static final EnumChatFormatting DARK_GREEN

    - #### DARK_AQUA

          public static final EnumChatFormatting DARK_AQUA

    - #### DARK_RED

          public static final EnumChatFormatting DARK_RED

    - #### DARK_PURPLE

          public static final EnumChatFormatting DARK_PURPLE

    - #### GOLD

          public static final EnumChatFormatting GOLD

    - #### GRAY

          public static final EnumChatFormatting GRAY

    - #### DARK_GRAY

          public static final EnumChatFormatting DARK_GRAY

    - #### BLUE

          public static final EnumChatFormatting BLUE

    - #### GREEN

          public static final EnumChatFormatting GREEN

    - #### AQUA

          public static final EnumChatFormatting AQUA

    - #### RED

          public static final EnumChatFormatting RED

    - #### LIGHT_PURPLE

          public static final EnumChatFormatting LIGHT_PURPLE

    - #### YELLOW

          public static final EnumChatFormatting YELLOW

    - #### WHITE

          public static final EnumChatFormatting WHITE

    - #### OBFUSCATED

          public static final EnumChatFormatting OBFUSCATED

    - #### BOLD

          public static final EnumChatFormatting BOLD

    - #### STRIKETHROUGH

          public static final EnumChatFormatting STRIKETHROUGH

    - #### UNDERLINE

          public static final EnumChatFormatting UNDERLINE

    - #### ITALIC

          public static final EnumChatFormatting ITALIC

    - #### RESET

          public static final EnumChatFormatting RESET

  - ### Method Detail

    - #### values

          public static EnumChatFormatting[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumChatFormatting c : EnumChatFormatting.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumChatFormatting valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### func_96298_a

          public char func_96298_a()

    - #### func_96301_b

          public boolean func_96301_b()

    - #### isColor

          public boolean isColor()

      Checks if typo is a color.

    - #### func_96297_d

          public String func_96297_d()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<EnumChatFormatting>`

    - #### func_110646_a

          public static String func_110646_a(String par0Str)

    - #### func_96300_b

          public static EnumChatFormatting func_96300_b(String par0Str)

    - #### func_96296_a

          public static Collection func_96296_a(boolean par0,
                                boolean par1)